/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base;


import com.tabajara.base.tables.Arduino;
import com.tabajara.base.tables.Arduinoatuador;
import com.tabajara.base.tables.Arduinocontrole;
import com.tabajara.base.tables.Arduinosensor;
import com.tabajara.base.tables.Atuador;
import com.tabajara.base.tables.Controle;
import com.tabajara.base.tables.Controlegrpacesso;
import com.tabajara.base.tables.Criacao;
import com.tabajara.base.tables.Empresa;
import com.tabajara.base.tables.Funcionario;
import com.tabajara.base.tables.Grpacesso;
import com.tabajara.base.tables.Hisatuacao;
import com.tabajara.base.tables.Hispropriedades;
import com.tabajara.base.tables.Horarepeticao;
import com.tabajara.base.tables.Sensor;
import com.tabajara.base.tables.Sensorhorarepeticao;
import com.tabajara.base.tables.Sensorrepeticao;
import com.tabajara.base.tables.Tanque;
import com.tabajara.base.tables.Telefones;
import com.tabajara.base.tables.Tipoatuador;
import com.tabajara.base.tables.Tiporepeticao;
import com.tabajara.base.tables.Tiposensor;
import com.tabajara.base.tables.Usuarios;

import javax.annotation.Generated;


/**
 * Convenience access to all tables in public
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Tables {

    /**
     * The table <code>public.arduino</code>.
     */
    public static final Arduino ARDUINO = com.tabajara.base.tables.Arduino.ARDUINO;

    /**
     * The table <code>public.arduinoatuador</code>.
     */
    public static final Arduinoatuador ARDUINOATUADOR = com.tabajara.base.tables.Arduinoatuador.ARDUINOATUADOR;

    /**
     * The table <code>public.arduinocontrole</code>.
     */
    public static final Arduinocontrole ARDUINOCONTROLE = com.tabajara.base.tables.Arduinocontrole.ARDUINOCONTROLE;

    /**
     * The table <code>public.arduinosensor</code>.
     */
    public static final Arduinosensor ARDUINOSENSOR = com.tabajara.base.tables.Arduinosensor.ARDUINOSENSOR;

    /**
     * The table <code>public.atuador</code>.
     */
    public static final Atuador ATUADOR = com.tabajara.base.tables.Atuador.ATUADOR;

    /**
     * The table <code>public.controle</code>.
     */
    public static final Controle CONTROLE = com.tabajara.base.tables.Controle.CONTROLE;

    /**
     * The table <code>public.controlegrpacesso</code>.
     */
    public static final Controlegrpacesso CONTROLEGRPACESSO = com.tabajara.base.tables.Controlegrpacesso.CONTROLEGRPACESSO;

    /**
     * The table <code>public.criacao</code>.
     */
    public static final Criacao CRIACAO = com.tabajara.base.tables.Criacao.CRIACAO;

    /**
     * The table <code>public.empresa</code>.
     */
    public static final Empresa EMPRESA = com.tabajara.base.tables.Empresa.EMPRESA;

    /**
     * The table <code>public.funcionario</code>.
     */
    public static final Funcionario FUNCIONARIO = com.tabajara.base.tables.Funcionario.FUNCIONARIO;

    /**
     * The table <code>public.grpacesso</code>.
     */
    public static final Grpacesso GRPACESSO = com.tabajara.base.tables.Grpacesso.GRPACESSO;

    /**
     * The table <code>public.hisatuacao</code>.
     */
    public static final Hisatuacao HISATUACAO = com.tabajara.base.tables.Hisatuacao.HISATUACAO;

    /**
     * The table <code>public.hispropriedades</code>.
     */
    public static final Hispropriedades HISPROPRIEDADES = com.tabajara.base.tables.Hispropriedades.HISPROPRIEDADES;

    /**
     * The table <code>public.horarepeticao</code>.
     */
    public static final Horarepeticao HORAREPETICAO = com.tabajara.base.tables.Horarepeticao.HORAREPETICAO;

    /**
     * The table <code>public.sensor</code>.
     */
    public static final Sensor SENSOR = com.tabajara.base.tables.Sensor.SENSOR;

    /**
     * The table <code>public.sensorhorarepeticao</code>.
     */
    public static final Sensorhorarepeticao SENSORHORAREPETICAO = com.tabajara.base.tables.Sensorhorarepeticao.SENSORHORAREPETICAO;

    /**
     * The table <code>public.sensorrepeticao</code>.
     */
    public static final Sensorrepeticao SENSORREPETICAO = com.tabajara.base.tables.Sensorrepeticao.SENSORREPETICAO;

    /**
     * The table <code>public.tanque</code>.
     */
    public static final Tanque TANQUE = com.tabajara.base.tables.Tanque.TANQUE;

    /**
     * The table <code>public.telefones</code>.
     */
    public static final Telefones TELEFONES = com.tabajara.base.tables.Telefones.TELEFONES;

    /**
     * The table <code>public.tipoatuador</code>.
     */
    public static final Tipoatuador TIPOATUADOR = com.tabajara.base.tables.Tipoatuador.TIPOATUADOR;

    /**
     * The table <code>public.tiporepeticao</code>.
     */
    public static final Tiporepeticao TIPOREPETICAO = com.tabajara.base.tables.Tiporepeticao.TIPOREPETICAO;

    /**
     * The table <code>public.tiposensor</code>.
     */
    public static final Tiposensor TIPOSENSOR = com.tabajara.base.tables.Tiposensor.TIPOSENSOR;

    /**
     * The table <code>public.usuarios</code>.
     */
    public static final Usuarios USUARIOS = com.tabajara.base.tables.Usuarios.USUARIOS;
}
